org.keycloak.storage.client

## Class AbstractReadOnlyClientScopeAdapter

- java.lang.Object
- - org.keycloak.storage.client.AbstractReadOnlyClientScopeAdapter

- All Implemented Interfaces:
    ClientScopeModel, OrderedModel, ProtocolMapperContainerModel, ScopeContainerModel

      public abstract class AbstractReadOnlyClientScopeAdapter
      extends Object
      implements ClientScopeModel

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.ClientScopeModel

      `ClientScopeModel.ClientScopeRemovedEvent, ClientScopeModel.SearchableFields`

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.OrderedModel

      `OrderedModel.OrderedModelComparator<OM extends OrderedModel>`

  - ### Field Summary

    - ### Fields inherited from interface org.keycloak.models.ClientScopeModel

      `CONSENT_SCREEN_TEXT, DISPLAY_ON_CONSENT_SCREEN, GUI_ORDER, INCLUDE_IN_TOKEN_SCOPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractReadOnlyClientScopeAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProtocolMapperModel` | `addProtocolMapper(ProtocolMapperModel model)`
    `void` | `addScopeMapping(RoleModel role)`
    `void` | `deleteScopeMapping(RoleModel role)`
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `void` | `removeAttribute(String name)`
    `void` | `removeProtocolMapper(ProtocolMapperModel mapping)`
    `void` | `setAttribute(String name, String value)`
    `void` | `setDescription(String description)`
    `void` | `setName(String name)`
    `void` | `setProtocol(String protocol)`
    `void` | `updateProtocolMapper(ProtocolMapperModel mapping)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.ClientScopeModel

      `getAttribute, getAttributes, getConsentScreenText, getDescription, getGuiOrder, getId, getName, getProtocol, getRealm, isDisplayOnConsentScreen, isIncludeInTokenScope, setConsentScreenText, setDisplayOnConsentScreen, setGuiOrder, setIncludeInTokenScope`

    - ### Methods inherited from interface org.keycloak.models.ProtocolMapperContainerModel

      `getProtocolMapperById, getProtocolMapperByName, getProtocolMappers, getProtocolMappersStream`

    - ### Methods inherited from interface org.keycloak.models.ScopeContainerModel

      `getRealmScopeMappings, getRealmScopeMappingsStream, getScopeMappings, getScopeMappingsStream, hasScope`

- - ### Constructor Detail

    - #### AbstractReadOnlyClientScopeAdapter

          public AbstractReadOnlyClientScopeAdapter()

  - ### Method Detail

    - #### setName

          public void setName(String name)

      Specified by:
        `setName` in interface `ClientScopeModel`

    - #### setDescription

          public void setDescription(String description)

      Specified by:
        `setDescription` in interface `ClientScopeModel`

    - #### setProtocol

          public void setProtocol(String protocol)

      Specified by:
        `setProtocol` in interface `ClientScopeModel`

    - #### setAttribute

          public void setAttribute(String name,
                                   String value)

      Specified by:
        `setAttribute` in interface `ClientScopeModel`

    - #### removeAttribute

          public void removeAttribute(String name)

      Specified by:
        `removeAttribute` in interface `ClientScopeModel`

    - #### addProtocolMapper

          public ProtocolMapperModel addProtocolMapper(ProtocolMapperModel model)

      Specified by:
        `addProtocolMapper` in interface `ProtocolMapperContainerModel`

    - #### removeProtocolMapper

          public void removeProtocolMapper(ProtocolMapperModel mapping)

      Specified by:
        `removeProtocolMapper` in interface `ProtocolMapperContainerModel`

    - #### updateProtocolMapper

          public void updateProtocolMapper(ProtocolMapperModel mapping)

      Specified by:
        `updateProtocolMapper` in interface `ProtocolMapperContainerModel`

    - #### addScopeMapping

          public void addScopeMapping(RoleModel role)

      Specified by:
        `addScopeMapping` in interface `ScopeContainerModel`

    - #### deleteScopeMapping

          public void deleteScopeMapping(RoleModel role)

      Specified by:
        `deleteScopeMapping` in interface `ScopeContainerModel`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.